
Python CLI - Task #2806

Feature # 2652 (Closed): Python CLI - Version 2

Use Logging rather than sys.stderr.write

2012-05-24 16:41 - Dave Vieglais

Status: Closed Start date: 2012-05-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CLI_2.0.0   

Story Points:    

Description

Using the logging package for emitting messages provides greater flexibility in output choices and verbosity than writing directly to

stderr or stdout.

Consider using logging for all informational messages for output from the CLI.

History

#1 - 2012-05-24 16:50 - Andrew Pippin

Many parts of the application do use the logging facility.  Other parts use StringIO.  Could you give an example of what parts should be using the

logging facility?

#2 - 2012-07-18 23:42 - Andrew Pippin

- Assignee deleted (Andrew Pippin)

Unassigning me (Andy Pippin) for future assignment.  It may very well come back to me, but this has not yet been scheduled.

#3 - 2013-08-02 16:48 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

#4 - 2014-10-02 17:55 - Dave Vieglais

- Target version set to Maintenance Backlog

#5 - 2015-01-13 16:21 - Dave Vieglais

- Target version changed from Maintenance Backlog to CCI-2.0.0
